org.pentaho.reporting.libraries.resourceloader

## Class DependencyCollector

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.DependencyCollector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DependencyCollector
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

Creation-Date: 08.04.2006, 14:12:14

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DependencyCollector(ResourceKey source, long version)`

### Method Summary

Methods
`void` `add(Resource dependentResource)`
`void` `add(ResourceKey resourceKey, long version)`
`java.lang.Object` `clone()`
`ResourceKey[]` `getDependencies()`
`long` `getVersion(ResourceKey key)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyCollector

    public DependencyCollector(ResourceKey source,
                       long version)

### Method Detail

#### getDependencies

    public ResourceKey[] getDependencies()

#### add

    public void add(Resource dependentResource)

#### add

    public void add(ResourceKey resourceKey,
           long version)

#### getVersion

    public long getVersion(ResourceKey key)

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`